[SCM] choreonoid branch, master, updated. upstream/1.1.0+dfsg-77-g2b6b62e

Thomas Moulard thomas.moulard at gmail.com
Sun Jun 23 01:01:32 UTC 2013


The following commit has been merged in the master branch:
commit 2b6b62e23238ca2434b3f5401e1f7280fb45a78e
Author: Thomas Moulard <thomas.moulard at gmail.com>
Date:   Sun Jun 23 09:28:41 2013 +0900

    Add autopkgtest support.

diff --git a/debian/changelog b/debian/changelog
index 0e754df..f46387a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,7 +2,9 @@ choreonoid (1.1.0+dfsg-5) unstable; urgency=low
 
   * Fix patch fixing opcode portability issue (Closes: #711003).
   * Fix patch porting to Boost.Filesystem v3.
-  * Update symbols for i386, kfreebsd-i386 and kfreebsd-amd64 architectures.
+  * Update symbols for amd64, i386, kfreebsd-i386 and kfreebsd-amd64
+    architectures.
+  * Add autopkgtest support and simple test case.
 
  -- Thomas Moulard <thomas.moulard at gmail.com>  Thu, 13 Jun 2013 13:46:59 +0900
 
diff --git a/debian/control b/debian/control
index 0d03971..992001e 100644
--- a/debian/control
+++ b/debian/control
@@ -21,6 +21,7 @@ Section: science
 Homepage: http://choreonoid.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/choreonoid.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/choreonoid.git
+XS-Testsuite: autopkgtest
 
 Package: choreonoid-data
 Architecture: all
diff --git a/debian/tests/build b/debian/tests/build
new file mode 100755
index 0000000..0c8b4d3
--- /dev/null
+++ b/debian/tests/build
@@ -0,0 +1,26 @@
+#!/bin/sh
+# autopkgtest check: Build and run a program against libcnoid, to
+# verify that the headers and pkg-config file are installed correctly
+# (C) 2013 Thomas Moulard
+# Author: Thomas Moulard <thomas.moulard at gmail.com>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > cnoidtest.cpp
+#include <cnoid/Body>
+
+int main()
+{
+    Body body;
+    return 0;
+}
+EOF
+
+g++ -o cnoidtest cnoidtest.cpp `pkg-config --cflags --libs choreonoid`
+echo "build: OK"
+[ -x cnoidtest ]
+./cnoidtest
+echo "run: OK"
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..7a9bc9f
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: build
+Depends: libcnoid-dev, build-essential

-- 
choreonoid



More information about the debian-science-commits mailing list